import { select, 
        json,
        tsv,
        geoNaturalEarth2,
        geoPath,
        zoom,
        event,
        scaleTime,
        scaleLinear,
        max,
        range
       } 
from 'd3';


const svg = select('.corona')
              .attr('height',1000)
              .attr('width',1000);

const width = document.body.clientWidth;
const height = document.body.clientHeight;
const margin = {top:20,bottom:20,left:20,right:20};

const innerHeight = height - margin.top - margin.bottom;
const innerWidth = width - margin.right - margin.left;

Promise.all([
  json('https://api.covid19api.com/dayone/country/india/status/confirmed/live'),
  json('https://api.covid19api.com/dayone/country/india/status/recovered/live'),
  json('https://api.covid19api.com/dayone/country/india/status/deaths/live'),
])
  .then((data_)=>{
  
   svg.append('g');
  
   console.log(data_);
   
   const date = data_[0].map(d=>new Date(d.Date) );
    
   const xscale = scaleTime().domain(date).range([0,innerWidth]);
  
   let processed = [];

  
   range(data_[0].length).forEach( d =>{
       let temp = {};
       temp.confirmed = data_[0][d].Cases;  
       processed.push(temp);
   } );
  
  range(data_[1].length).forEach( d =>{
       let temp = {};
       processed[d].recovered = data_[1][d].Cases;     
   } );
  
  range(data_[2].length).forEach( d =>{
       let temp = {};
       processed[d].deaths = data_[2][d].Cases;     
   } );

   const stacked = d3.stack()
                     .order(d3.stackOrderAscending)
   									.keys(['confirmed','recovered','deaths'])(processed);

  
   console.log(stacked);
});